- name: "Remove default site configuration"
  file:
    path: /etc/nginx/sites-enabled/default
    state: absent  

- name: "Create site conf"
  template:
    src: "{{ playbook_dir }}/templates/nginx.conf.j2"
    dest: /etc/nginx/sites-enabled/nginx.conf
    owner: root
    mode: "0644"
  notify:
    - restart nginx
